SAXParserImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.jaxp.SAXParserImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      javax.xml.parsers.SAXParser
          org.apache.xerces.jaxp.SAXParserImpl

All Implemented Interfaces:
  JAXPConstants, org.apache.xerces.xs.PSVIProvider

    public class SAXParserImpl

extends javax.xml.parsers.SAXParser
implements JAXPConstants, org.apache.xerces.xs.PSVIProvider

This is the implementation specific class for the `javax.xml.parsers.SAXParser`.

Version:
  $Id: SAXParserImpl.java 704573 2008-10-14 16:11:22Z mrglavas $
Author:
  Rajiv Mordani, Edwin Goei

Nested Class Summary
`static class` | `SAXParserImpl.JAXPSAXParser` Extension of SAXParser.

Field Summary

Fields inherited from interface org.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`org.apache.xerces.xs.AttributePSVI` | `getAttributePSVI(int index)` Provides `AttributePSVI` given the index of an attribute information item in the current element's attribute list.
`org.apache.xerces.xs.AttributePSVI` | `getAttributePSVIByName(java.lang.String uri, java.lang.String localname)` Provides `AttributePSVI` given the namespace name and the local name of an attribute information item in the current element's attribute list.
`org.apache.xerces.xs.ElementPSVI` | `getElementPSVI()` Provides the post schema validation item for the current element information item.
`org.xml.sax.Parser` | `getParser()`
`java.lang.Object` | `getProperty(java.lang.String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`javax.xml.validation.Schema` | `getSchema()`
`org.xml.sax.XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`boolean` | `isXIncludeAware()` Gets the XInclude processing mode for this parser
`void` | `parse(org.xml.sax.InputSource is, org.xml.sax.helpers.DefaultHandler dh)`
`void` | `parse(org.xml.sax.InputSource is, org.xml.sax.HandlerBase hb)`
`void` | `reset()`
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParser
`parse, parse, parse, parse, parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public org.xml.sax.Parser getParser()
                                 throws org.xml.sax.SAXException

  Specified by:
    `getParser` in class `javax.xml.parsers.SAXParser`
  Throws:
    `org.xml.sax.SAXException`

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Returns the XMLReader that is encapsulated by the implementation of this class.

  Specified by:
    `getXMLReader` in class `javax.xml.parsers.SAXParser`

### isNamespaceAware

    public boolean isNamespaceAware()

  Specified by:
    `isNamespaceAware` in class `javax.xml.parsers.SAXParser`

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in class `javax.xml.parsers.SAXParser`

### isXIncludeAware

    public boolean isXIncludeAware()

  Gets the XInclude processing mode for this parser

  Overrides:
    `isXIncludeAware` in class `javax.xml.parsers.SAXParser`
  Returns:
    the state of XInclude processing mode

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `setProperty` in class `javax.xml.parsers.SAXParser`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `getProperty` in class `javax.xml.parsers.SAXParser`
  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### parse

    public void parse(org.xml.sax.InputSource is,
                      org.xml.sax.helpers.DefaultHandler dh)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Overrides:
    `parse` in class `javax.xml.parsers.SAXParser`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public void parse(org.xml.sax.InputSource is,
                      org.xml.sax.HandlerBase hb)
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Overrides:
    `parse` in class `javax.xml.parsers.SAXParser`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### getSchema

    public javax.xml.validation.Schema getSchema()

  Overrides:
    `getSchema` in class `javax.xml.parsers.SAXParser`

### reset

    public void reset()

  Overrides:
    `reset` in class `javax.xml.parsers.SAXParser`

### getElementPSVI

    public org.apache.xerces.xs.ElementPSVI getElementPSVI()

  Description copied from interface: `org.apache.xerces.xs.PSVIProvider`
  Provides the post schema validation item for the current element information item. The method must be called by an application while in the scope of the methods which report the start and end of an element. For example, for SAX the method must be called within the scope of the document handler's `startElement` or `endElement` call. If the method is called outside of the specified scope, the return value is undefined.

  Specified by:
    `getElementPSVI` in interface `org.apache.xerces.xs.PSVIProvider`
  Returns:
    The post schema validation infoset for the current element. If an element information item is valid, then in the post-schema-validation infoset the following properties must be available for the element information item: The following properties are available in the scope of the method that reports the start of an element: {element declaration}, {validation context}, {notation}. The {schema information} property is available for the validation root. The {error codes} property is available if any errors occured during validation. The following properties are available in the scope of the method that reports the end of an element: {nil}, {schema specified}, {normalized value},{ member type definition}, {validity}, {validation attempted} . If the declaration has a value constraint, the property {schema default} is available. The {error codes} property is available if any errors occured during validation. Note: some processors may choose to provide all the PSVI properties in the scope of the method that reports the end of an element.

### getAttributePSVI

    public org.apache.xerces.xs.AttributePSVI getAttributePSVI(int index)

  Description copied from interface: `org.apache.xerces.xs.PSVIProvider`
  Provides `AttributePSVI` given the index of an attribute information item in the current element's attribute list. The method must be called by an application while in the scope of the methods which report the start and end of an element at a point where the attribute list is available. For example, for SAX the method must be called while in the scope of the document handler's `startElement` call. If the method is called outside of the specified scope, the return value is undefined.

  Specified by:
    `getAttributePSVI` in interface `org.apache.xerces.xs.PSVIProvider`
  Parameters:
    `index` - The attribute index.
  Returns:
    The post schema validation properties of the attribute.

### getAttributePSVIByName

    public org.apache.xerces.xs.AttributePSVI getAttributePSVIByName(java.lang.String uri,
                                                                     java.lang.String localname)

  Description copied from interface: `org.apache.xerces.xs.PSVIProvider`
  Provides `AttributePSVI` given the namespace name and the local name of an attribute information item in the current element's attribute list. The method must be called by an application while in the scope of the methods which report the start and end of an element at a point where the attribute list is available. For example, for SAX the method must be called while in the scope of the document handler's `startElement` call. If the method is called outside of the specified scope, the return value is undefined.

  Specified by:
    `getAttributePSVIByName` in interface `org.apache.xerces.xs.PSVIProvider`
  Parameters:
    `uri` - The namespace name of an attribute.
    `localname` - The local name of an attribute.
  Returns:
    The post schema validation properties of the attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.